<div class="login-background"></div>

<div class="login-form" fxLayout="column" fxLayoutAlign="space-around center">
  <md-card>
    <form name="form" (ngSubmit)="login()" fxLayout="column" fxLayoutAlign="space-around center">

      <img src="assets/img/Yum-logo.png" width='200'>
      <h2>Sign in</h2>

      <md-input-container>
        <input type="text" mdInput placeholder="Username" autocomplete="off" name="username" [(ngModel)]="model.username" #username="ngModel" required>
        <md-error *ngIf="error === 'username' || error === 'both'">Username required</md-error>
      </md-input-container>

      <md-input-container>
        <input type="password" mdInput placeholder="Password" name="password" [(ngModel)]="model.password" #password="ngModel" required>
        <md-error *ngIf="error === 'password' || error === 'both'">Password required</md-error>
      </md-input-container>

      <button [disabled]='loading' md-raised-button class="red-button">
        <span *ngIf='!loading'>Login</span>
        <app-spinner [small]="true" *ngIf='loading'></app-spinner>
      </button>

      <a routerLink="/forgotpasswd">forgot password</a>

    </form>
  </md-card>

  <div class="login-createbox" fxLayout="column" fxLayoutAlign="space-around center">
    <p>Don't have an account?</p>
    <h3><a routerLink="/register">Create Account</a></h3>
  </div>

</div>

<div class="login-quote">
  <p>What I've enjoyed most, though, is meeting people who have a real interest in food and sharing ideas with them. Good food
  is a global thing and I find that there is always something new and amazing to learn - I love it!</p><p>Jamie Oliver</p>
  <a href="http://www.brainyquote.com">www.brainyquote.com</a>
</div>
